<?php

$title = 'Parcel Treatments';
$this->headTitle($title);
?>
<h1><?= $this->escapeHtml($title) ?></h1>
<p>
    <a href="<?= $this->url('parcel_treatment', ['action' => 'add']) ?>">Add new parcel treatment</a>
</p>

<?php
$form->setAttribute('action', $this->url('parcel_treatment', ['action' => 'index']));
$form->prepare();


echo $this->form()->openTag($form);
echo $this->formHidden($form->get('id'));
echo $this->formRow($form->get('parcel_id'));
echo $this->formRow($form->get('tractor_id'));
echo $this->formRow($form->get('date'));
echo $this->formRow($form->get('culture'));
echo $this->formSubmit($form->get('submit'));
echo $this->form()->closeTag();
?>

<table class="table">
    <tr>
        <th>Parcel</th>
        <th>Culture</th>
        <th>Date</th>
        <th>Tractor</th>
        <th>Area</th>
        <th>&nbsp;</th>
    </tr>
    <?php
    $totalArea = 0;
    foreach ($parcelTreatments as $parcelTreatment) :
        $totalArea += $parcelTreatment->area;
        ?>
        <tr>
            <td><?= $this->escapeHtml($parcelTreatment->parcel_id) ?></td>
            <td><?= $this->escapeHtml($parcelTreatment->culture) ?></td>
            <td><?= $this->escapeHtml($parcelTreatment->date) ?></td>
            <td><?= $this->escapeHtml($parcelTreatment->tractor_id) ?></td>
            <td><?= $this->escapeHtml($parcelTreatment->area) ?></td>
            <td>
                <a href="<?= $this->url('parcel_treatment', ['action' => 'edit', 'id' => $parcelTreatment->id]) ?>">Edit</a>
                <a href="<?= $this->url('parcel_treatment', ['action' => 'delete', 'id' => $parcelTreatment->id]) ?>">Delete</a>
            </td>
        </tr>
    <?php endforeach; ?>
    <tr>
        <td></td>
        <td></td>
        <td></td>
        <td>Total area:</td>
        <td><?= $this->escapeHtml($totalArea) ?></td>
        <td></td>
    </tr>
</table>
